MediaWiki talk:Gadget-code-prettify.css:修订间差异

H萌娘,万物皆可H的百科全书!
跳到导航 跳到搜索
imported>Bhsd
无编辑摘要
imported>Bhsd
→‎编辑请求 - Bhsd:​ 新章节
第4行: 第4行:
:{{完成}}--<img src="https://www.hmoegirl.com/images/avatars/574894/128.png?ver=1598093246" style="width: 2.5em;border-radius: 50%;"/> [[User:=海豚=|=海豚=]]([[用户讨论:=海豚=/备忘录|留言]] · [[特殊:用户贡献/=海豚=|贡献]] · [[用户讨论:=海豚=|讨论]]) 2021年5月8日 (六) 22:19 (CST)
:{{完成}}--<img src="https://www.hmoegirl.com/images/avatars/574894/128.png?ver=1598093246" style="width: 2.5em;border-radius: 50%;"/> [[User:=海豚=|=海豚=]]([[用户讨论:=海豚=/备忘录|留言]] · [[特殊:用户贡献/=海豚=|贡献]] · [[用户讨论:=海豚=|讨论]]) 2021年5月8日 (六) 22:19 (CST)
{{@|1==海豚=}} 不同MW版本间的差别还真大……[[mediawiki:gadget-code-prettify.css#L87|第87行]]后还需要添加一行<code class="hljs">list-style-position: outside;</code> [[用户:Bhsd|Bhsd]]([[用户讨论:Bhsd|讨论]]) 2021年5月8日 (六) 23:01 (CST)
{{@|1==海豚=}} 不同MW版本间的差别还真大……[[mediawiki:gadget-code-prettify.css#L87|第87行]]后还需要添加一行<code class="hljs">list-style-position: outside;</code> [[用户:Bhsd|Bhsd]]([[用户讨论:Bhsd|讨论]]) 2021年5月8日 (六) 23:01 (CST)
== 编辑请求 - Bhsd ==
将第87行修改为<pre lang="css" data-start=87> margin: 0 !important; /* 仿照手机版移除margin,并由JS指定padding-left */</pre>
[[mediawiki:common.js]]会给所有<code lang="html">&lt;ol&gt;</code>元素添加一个<code>margin-left</code>就很神奇……[[用户:Bhsd|Bhsd]]([[用户讨论:Bhsd|讨论]]) 2021年5月30日 (日) 09:05 (CST)

2021年5月30日 (日) 09:05的版本

编辑请求

由于MW版本不同,第95行需要改成pre.linenums li { Bhsd讨论) 2021年5月8日 (六) 21:28 (CST)回复[回复]

完成 --<img src="https://www.hmoegirl.com/images/avatars/574894/128.png?ver=1598093246" style="width: 2.5em;border-radius: 50%;"/> =海豚=留言 · 贡献 · 讨论) 2021年5月8日 (六) 22:19 (CST)

@=海豚= 不同MW版本间的差别还真大……第87行后还需要添加一行list-style-position: outside; Bhsd讨论) 2021年5月8日 (六) 23:01 (CST)回复[回复]

编辑请求 - Bhsd

将第87行修改为

	margin: 0 !important; /* 仿照手机版移除margin,并由JS指定padding-left */

mediawiki:common.js会给所有<ol>元素添加一个margin-left就很神奇……Bhsd讨论) 2021年5月30日 (日) 09:05 (CST)回复[回复]